Subject: bug#46737: closed (Re: bug#46737: Services breakage from the PostgreSQL socket-directory configuration change)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 12 Apr 2021 23:16:02 +0000

Your bug report

#46737: Services breakage from the PostgreSQL socket-directory configuration change

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46737: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46737
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#46737: Services breakage from the PostgreSQL socket-directory configuration change
From: Leo Famulari <[email-masked]>
To: Christopher Baines <[email-masked]>
Cc: [email-masked]
Date: Mon, 12 Apr 2021 19:15:48 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Apr 12, 2021 at 09:47:45PM +0100, Christopher Baines wrote:
> 
> Christopher Baines <[email-masked]> writes:
> 
> > Mathieu Othacehe <[email-masked]> writes:
> >
> >>> One workaround, the one employed in the tests is to revert to the old
> >>> behaviour for the PostgreSQL service by setting socket-directory to #f.
> >>
> >> You're right, sorry about the breakage. As you noticed we are in an
> >> in-between situation where the patch updating Postgresql package to use
> >> "/var/run/postgresql" by default is only on core-updates, but the
> >> service is already using it as a default on master.
> >>
> >> This means that "createdb", "dropdb" and other Postgresql user tools
> >> need to have an explicit "-h /var/run/postgresql" argument for now.
> >>
> >> Until the package patch gets merged in the master branch, we could set
> >> the "socket-directory" field of <postgresql-config-file> record to #f to
> >> restore an acceptable default behaviour.
> >>
> >> WDYT?
> >
> > I think that would be good. It's unfortunate that the package change is
> > stuck on core-updates for now, but configuring the service on master to
> > keep the old behaviour until core-updates is merged sounds sensible.
> 
> I don't know if the expectation was that I was going to fix this, but
> since it seems there's a release coming up, I went ahead and prepared a
> patch [1].
> 
> 1: https://issues.guix.gnu.org/47736

I pushed your patch as c311147bd16aa0e5746d9cbf31502f5fd61e470c

Subject: Services breakage from the PostgreSQL socket-directory configuration change
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Wed, 24 Feb 2021 00:44:41 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey,

When reconfiguring recently, I ran in to issues with the Guix Data
Service and probably the Patchwork service too.

Looking at the change, I think it's clear there's a problem, because
some system tests were changed, and I'm guessing they were changed so
that they passed [1].

1: https://git.savannah.gnu.org/cgit/guix.git/commit/?id=6c0679215f4ffa534c1eb2e8c8a6e043a0c993fe

Passing tests are good, but working around real issues in tests is not,
because that means that the situation outside of the tests can break and
if it does, the test result is misleading.

Patchwork, the Guix Data Service and maybe other things currently depend
on the default behaviour of PostgreSQL to find the socket. Given that
the service now uses a different (non-default) value, they don't
work.

One workaround, the one employed in the tests is to revert to the old
behaviour for the PostgreSQL service by setting socket-directory to #f.